public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/async-io/
Date: Mon, 22 Jan 2024 07:08:17 +0000 (UTC)	[thread overview]
Message-ID: <1705907290.868f37945a43aba0896624343ba2de1f70ca3a2f.graaff@gentoo> (raw)

commit:     868f37945a43aba0896624343ba2de1f70ca3a2f
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 22 07:08:01 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jan 22 07:08:10 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=868f3794

dev-ruby/async-io: add 1.41.0

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/async-io/Manifest               |  1 +
 dev-ruby/async-io/async-io-1.41.0.ebuild | 36 ++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-ruby/async-io/Manifest b/dev-ruby/async-io/Manifest
index 453eeb948a85..86854cca084f 100644
--- a/dev-ruby/async-io/Manifest
+++ b/dev-ruby/async-io/Manifest
@@ -2,3 +2,4 @@ DIST async-io-1.35.0.tar.gz 34418 BLAKE2B 0aa7d5636c4a3f89b67c8543ad7e0826661e4d
 DIST async-io-1.37.0.tar.gz 41344 BLAKE2B a0b71d4747c7b56a6662aa45813f3ee82b539cb3f5133f1f4469bb57fe61e261e5d111ec01b96f0515858a355e43f8441442d7005bc284ae24a4902ea97dcf36 SHA512 5a631bbc79409959b95acff67a5d7de667e0361b02279b3cc98e2cc1a1baf4a8e6ea61998c6ecf5ae71658445d83a63dde8e8e4a29173de388b3b7ae0675b884
 DIST async-io-1.38.0.tar.gz 41347 BLAKE2B 092e2b0d6265145a1cfc32df9aa02b1b2a46c1339b80355de53b6da7e1ba69ac1eb3fd1bae229360ed3a618eeba6a9f7f1302ae7341f6b8581f4a643d7cb4c42 SHA512 0156d4c81a643b6b7ca5753f28658adcb2cd0b78c52e5539e29ed45d737b9de91d54ba85804b2d55bb9c0eb33a4dd1ba888961fa69b2acd93fe2234d1700a215
 DIST async-io-1.38.1.tar.gz 41362 BLAKE2B 9160f464a8aca07e33f60f48d3bfcce2d11bfdadccb0254cbc481ac3ac9285be66569507b7afdc7083a95d08a91d916083df31e266d42464be20ebfaa811754d SHA512 2515fb0a0493a44acb65715f1df06567fe3c6461d6e4de1c72c37a028227c37aefafd87b06560a9c1dd7d9fbc2df412ebcdebf3276e8ff48c9331aff1f1300a0
+DIST async-io-1.41.0.tar.gz 41428 BLAKE2B 21d0e900f5aaf4c1b8e3a00032833f244d6a1715637a887809e2dee839b33f29b403a0b714a1392d05a4aeade959f2162d0b434bd235a66f1f2b92a9e0e45e39 SHA512 7b87b08f6dddc1e1e27a5d4c29e0d08ffbbdacc30bba4878cdd8f7afe588c0ecae7efc22f1d0cc66d0488d02559ecf7278c860838877ab7500cb7a173c441e92

diff --git a/dev-ruby/async-io/async-io-1.41.0.ebuild b/dev-ruby/async-io/async-io-1.41.0.ebuild
new file mode 100644
index 000000000000..76cc82f4ac1d
--- /dev/null
+++ b/dev-ruby/async-io/async-io-1.41.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRA_DOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Provides support for asynchronous TCP, UDP, UNIX and SSL sockets"
+HOMEPAGE="https://github.com/socketry/async-io"
+SRC_URI="https://github.com/socketry/async-io/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+
+ruby_add_rdepend "dev-ruby/async"
+
+ruby_add_bdepend "test? (
+	>=dev-ruby/async-container-0.15:0
+	>=dev-ruby/async-rspec-1.10:1
+	dev-ruby/rack-test
+)"
+
+all_ruby_prepare() {
+	sed -i -E 's/require_relative "(.+)"/require File.expand_path("\1")/g' "${RUBY_FAKEGEM_GEMSPEC}" || die
+
+	# Avoid test dependency on covered
+	sed -i -e '/covered/ s:^:#:' spec/spec_helper.rb || die
+}


             reply	other threads:[~2024-01-22  7:08 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-01-22  7:08 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-06 12:04 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/async-io/ Sam James
2024-10-06 11:14 Sam James
2024-04-17  5:27 Hans de Graaff
2024-03-27  6:36 Hans de Graaff
2024-02-25  9:01 Hans de Graaff
2024-02-25  9:01 Hans de Graaff
2023-12-30 13:09 Arthur Zamarin
2023-12-30 13:09 Arthur Zamarin
2023-12-30  9:28 Hans de Graaff
2023-12-30  9:28 Hans de Graaff
2023-11-23  7:09 Hans de Graaff
2023-11-13  6:50 Hans de Graaff
2023-10-31  6:42 Hans de Graaff
2023-10-24  9:30 Arthur Zamarin
2023-09-23  6:31 Hans de Graaff
2023-08-29 17:50 Hans de Graaff
2023-07-12 19:55 Hans de Graaff
2023-07-04 20:19 Sam James
2023-07-04 20:19 Sam James
2023-06-19  4:41 Hans de Graaff
2023-04-09  2:34 Sam James
2023-04-07  8:39 Sam James
2023-04-07  8:39 Sam James
2023-04-07  8:36 Sam James
2023-04-03  3:17 Sam James
2023-04-03  3:17 Sam James
2023-04-03  0:47 Sam James
2023-03-24  3:58 Sam James
2023-02-05  9:41 Hans de Graaff
2022-12-28  7:18 Hans de Graaff
2022-12-05 20:03 Arthur Zamarin
2022-12-01  4:03 Sam James
2022-12-01  4:03 Sam James
2022-12-01  2:04 Sam James
2022-10-23 10:01 Hans de Graaff
2022-10-22 21:33 Matt Turner
2022-10-22 21:33 Matt Turner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1705907290.868f37945a43aba0896624343ba2de1f70ca3a2f.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox